C_PATH=./source/c/
H_PATH=./source/include/
ASM_PATH=./source/asm/
OBJ_PATH=./source/object/win/

OBJ_NAMES=\
advanced.obj alleg2.obj area.obj army.obj autoplay.obj back.obj bigdata.obj code.obj config.obj cursor.obj decal.obj dialog.obj disk.obj disp.obj distor.obj error.obj exit.obj fighter.obj game.obj gfxmode.obj grad.obj graphics.obj help.obj info.obj init.obj joystick.obj keyboard.obj level.obj log.obj main.obj map.obj menu.obj mesh.obj message.obj mouse.obj move.obj options.obj palette.obj parser.obj pion.obj play.obj profile.obj rules.obj score.obj sound.obj startup.obj team.obj texture.obj ticker.obj time.obj viewport.obj volume.obj watchdog.obj wave.obj glouglou.obj monster.obj spread.obj

OBJ_FILES=$(addprefix $(OBJ_PATH),$(OBJ_NAMES))

C_FLAGS=-O3 -fomit-frame-pointer -I$(H_PATH)
C_COMPILE=runner cl @ -nologo -DALLEGRO_STATICLINK -W1 -Gd -Ox -GB -MT -I$(H_PATH) -Fo$@ -c $<
ASM_COMPILE=gcc -D_MSC_VER -D_WIN32 -D_M_IX86 -U__GNUC__ -UDJGPP -Wall -x assembler-with-cpp -o $@ -c $<

all: lwwin.exe

$(OBJ_PATH)advanced.obj: $(C_PATH)advanced.c
	$(C_COMPILE)

$(OBJ_PATH)alleg2.obj: $(C_PATH)alleg2.c
	$(C_COMPILE)

$(OBJ_PATH)area.obj: $(C_PATH)area.c
	$(C_COMPILE)

$(OBJ_PATH)army.obj: $(C_PATH)army.c
	$(C_COMPILE)

$(OBJ_PATH)autoplay.obj: $(C_PATH)autoplay.c
	$(C_COMPILE)

$(OBJ_PATH)back.obj: $(C_PATH)back.c
	$(C_COMPILE)

$(OBJ_PATH)bigdata.obj: $(C_PATH)bigdata.c
	$(C_COMPILE)

$(OBJ_PATH)code.obj: $(C_PATH)code.c
	$(C_COMPILE)

$(OBJ_PATH)config.obj: $(C_PATH)config.c
	$(C_COMPILE)

$(OBJ_PATH)cursor.obj: $(C_PATH)cursor.c
	$(C_COMPILE)

$(OBJ_PATH)decal.obj: $(C_PATH)decal.c
	$(C_COMPILE)

$(OBJ_PATH)dialog.obj: $(C_PATH)dialog.c
	$(C_COMPILE)

$(OBJ_PATH)disk.obj: $(C_PATH)disk.c
	$(C_COMPILE)

$(OBJ_PATH)disp.obj: $(C_PATH)disp.c
	$(C_COMPILE)

$(OBJ_PATH)distor.obj: $(C_PATH)distor.c
	$(C_COMPILE)

$(OBJ_PATH)error.obj: $(C_PATH)error.c
	$(C_COMPILE)

$(OBJ_PATH)exit.obj: $(C_PATH)exit.c
	$(C_COMPILE)

$(OBJ_PATH)fighter.obj: $(C_PATH)fighter.c
	$(C_COMPILE)

$(OBJ_PATH)game.obj: $(C_PATH)game.c
	$(C_COMPILE)

$(OBJ_PATH)gfxmode.obj: $(C_PATH)gfxmode.c
	$(C_COMPILE)

$(OBJ_PATH)grad.obj: $(C_PATH)grad.c
	$(C_COMPILE)

$(OBJ_PATH)graphics.obj: $(C_PATH)graphics.c
	$(C_COMPILE)

$(OBJ_PATH)help.obj: $(C_PATH)help.c
	$(C_COMPILE)

$(OBJ_PATH)info.obj: $(C_PATH)info.c
	$(C_COMPILE)

$(OBJ_PATH)init.obj: $(C_PATH)init.c
	$(C_COMPILE)

$(OBJ_PATH)joystick.obj: $(C_PATH)joystick.c
	$(C_COMPILE)

$(OBJ_PATH)keyboard.obj: $(C_PATH)keyboard.c
	$(C_COMPILE)

$(OBJ_PATH)level.obj: $(C_PATH)level.c
	$(C_COMPILE)

$(OBJ_PATH)log.obj: $(C_PATH)log.c
	$(C_COMPILE)

$(OBJ_PATH)main.obj: $(C_PATH)main.c
	$(C_COMPILE)

$(OBJ_PATH)map.obj: $(C_PATH)map.c
	$(C_COMPILE)

$(OBJ_PATH)menu.obj: $(C_PATH)menu.c
	$(C_COMPILE)

$(OBJ_PATH)mesh.obj: $(C_PATH)mesh.c
	$(C_COMPILE)

$(OBJ_PATH)message.obj: $(C_PATH)message.c
	$(C_COMPILE)

$(OBJ_PATH)mouse.obj: $(C_PATH)mouse.c
	$(C_COMPILE)

$(OBJ_PATH)move.obj: $(C_PATH)move.c
	$(C_COMPILE)

$(OBJ_PATH)options.obj: $(C_PATH)options.c
	$(C_COMPILE)

$(OBJ_PATH)palette.obj: $(C_PATH)palette.c
	$(C_COMPILE)

$(OBJ_PATH)parser.obj: $(C_PATH)parser.c
	$(C_COMPILE)

$(OBJ_PATH)pion.obj: $(C_PATH)pion.c
	$(C_COMPILE)

$(OBJ_PATH)play.obj: $(C_PATH)play.c
	$(C_COMPILE)

$(OBJ_PATH)profile.obj: $(C_PATH)profile.c
	$(C_COMPILE)

$(OBJ_PATH)rules.obj: $(C_PATH)rules.c
	$(C_COMPILE)

$(OBJ_PATH)score.obj: $(C_PATH)score.c
	$(C_COMPILE)

$(OBJ_PATH)sound.obj: $(C_PATH)sound.c
	$(C_COMPILE)

$(OBJ_PATH)startup.obj: $(C_PATH)startup.c
	$(C_COMPILE)

$(OBJ_PATH)team.obj: $(C_PATH)team.c
	$(C_COMPILE)

$(OBJ_PATH)texture.obj: $(C_PATH)texture.c
	$(C_COMPILE)

$(OBJ_PATH)ticker.obj: $(C_PATH)ticker.c
	$(C_COMPILE)

$(OBJ_PATH)time.obj: $(C_PATH)time.c
	$(C_COMPILE)

$(OBJ_PATH)viewport.obj: $(C_PATH)viewport.c
	$(C_COMPILE)

$(OBJ_PATH)volume.obj: $(C_PATH)volume.c
	$(C_COMPILE)

$(OBJ_PATH)watchdog.obj: $(C_PATH)watchdog.c
	$(C_COMPILE)

$(OBJ_PATH)wave.obj: $(C_PATH)wave.c
	$(C_COMPILE)


$(OBJ_PATH)glouglou.obj: $(ASM_PATH)glouglou.s
	$(ASM_COMPILE)

$(OBJ_PATH)monster.obj: $(ASM_PATH)monster.s
	$(ASM_COMPILE)

$(OBJ_PATH)spread.obj: $(ASM_PATH)spread.s
	$(ASM_COMPILE)


lwwin.exe: $(OBJ_FILES)
	runner link @ -nologo -release -subsystem:windows -out:$@ $(OBJ_FILES) alleg_s.lib kernel32.lib user32.lib gdi32.lib comdlg32.lib ole32.lib dinput.lib ddraw.lib dxguid.lib winmm.lib dsound.lib
